
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>selenium-webdriver(python) (九) 上传文件 / iVAN</title>

    <meta name="description" content="selenium-webdriver(python) (九) 上传文件 本节重点: 上传文件 文件上传操作也比较常见功能之一,上传功能没有用到新有方法或函数,关键是思路. 上传过程一般要打开一个本地窗口,从窗口选择本地文件添加.所以,一般会卡在如何操作本地窗口添加上传文件. 其实,在selenium webdriver没我们想的那么复杂:只要定位上传按钮,通send_keys添加本地文件路径就可以了.绝对路径和相对路径都可以,关键是上传的文件存在.下面通地例子演示. upload_file.html &lt;html&gt; &lt;head&gt; &lt;met ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">selenium-webdriver(python) (九) 上传文件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本节重点：</p>
<p>上传文件</p>
<p>文件上传操作也比较常见功能之一，上传功能没有用到新有方法或函数，关键是思路。</p>
<p>上传过程一般要打开一个本地窗口，从窗口选择本地文件添加。所以，一般会卡在如何操作本地窗口添加上传文件。</p>
<p>其实，在selenium webdriver没我们想的那么复杂；只要定位上传按钮，通send_keys添加本地文件路径就可以了。绝对路径和相对路径都可以，关键是上传的文件存在。下面通地例子演示。</p>
<p>upload_file.html</p>
<pre>&lt;html&gt;
&lt;head&gt;
&lt;meta http-equiv="content-type" content="text/html;charset=utf-8" /&gt;
&lt;title&gt;upload_file&lt;/title&gt;
&lt;script type="text/javascript" async=""
src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js
"&gt;&lt;/script&gt;
&lt;link href="http://netdna.bootstrapcdn.com/twitter-bootstrap/2.3.2/css/bootstrap-combined.min.css" rel="stylesheet" /&gt;
&lt;script type="text/javascript"&gt;
&lt;/script&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;div class="row-fluid"&gt;
&lt;div class="span6 well"&gt;
&lt;h3&gt;upload_file&lt;/h3&gt;
&lt;input type="file" name="file" /&gt;
&lt;/div&gt;
&lt;/div&gt;
&lt;/body&gt;
&lt;script src="http://netdna.bootstrapcdn.com/twitter-bootstrap/2.3.2/js/bootstrap.min.js"&gt;&lt;/script&gt;
&lt;/html&gt;</pre>
<p>upload.py</p>
<pre>#coding=utf-8
from selenium import webdriver
import os,time

driver = webdriver.Firefox()

#脚本要与upload_file.html同一目录
file_path =  'file:///' + os.path.abspath('upload_file.html')
driver.get(file_path)

#定位上传按钮，添加本地文件
driver.find_element_by_name("file").send_keys('D:\\selenium_use_case\upload_file.txt')
time.sleep(2)

driver.quit()</pre>
<p>其它有些应用不好找，所以就自己创建页面，这样虽然麻烦，但脚本代码突出重点。</p>
<p>这里找一139邮箱的实例，有帐号的同学可以测试一下~！</p>
<p>（登陆基础版的139邮箱，网盘模块上传文件。）</p>
<p>139upload.py</p>
<pre>#coding=utf-8
from selenium import webdriver
import os,time

driver = webdriver.Firefox()

driver.get("http://m.mail.10086.cn")
driver.implicitly_wait(30)

#登陆
driver.find_element_by_id("ur").send_keys("手机号")
driver.find_element_by_id("pw").send_keys("密码")
driver.find_element_by_class_name("loading_btn").click()
time.sleep(3)

#进入139网盘模块
driver.find_element_by_xpath("/html/body/div[3]/a[9]/span[2]").click()
time.sleep(3)

#上传文件
driver.find_element_by_id("id_file").send_keys('D:\\selenium_use_case\upload_file.txt')
time.sleep(5)

driver.quit()</pre>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/Programming/extra/</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索文件<br />
                    ，                selenium<br />
                    ，                webdriver<br />
                    ，                time<br />
                    ，                import<br />
                    ，                driver<br />
                                    本地<br />
                                    selenium webdriver、selenium webdriver包、selenium2 webdriver、webdriver和 selenium、selenium与webdriver，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:21:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%9c%ac%e5%9c%b0/" title="本地">本地</a>, <a href="https://www.iamivan.net/tag/import/" title="import">import</a>, <a href="https://www.iamivan.net/tag/selenium/" title="Selenium">Selenium</a>, <a href="https://www.iamivan.net/tag/webdriver/" title="WebDriver">WebDriver</a>, <a href="https://www.iamivan.net/tag/time/" title="time">time</a>, <a href="https://www.iamivan.net/tag/driver/" title="driver">driver</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>selenium-webdriver(python) (九) 上传文件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z40wK9z.html" rel="bookmark">如何上传文件到服务器端  前台html&comma;js 后台python语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求助各位大神我在网上下载了个jQuery-File-Upload插件,调试了半天也不对,网上也有说这插件和ie兼容不好各位麻烦写一个前台是htmljs后台python实现的上传文件功能多谢啊跪求~~ 解决方案 解决方案二:补充下后台是基于django的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKvv9M.html" rel="bookmark">Python用GET方法上传文件&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前在osc看到一个文章讨论Get和Post的不同, 有人说不能用Get来上传文件.这就是用Get上传文件的例子,client用来发Get请求,server用来收请求.文件内容是在http请求的body内传过去的.用了不同的语言,因为我觉得各自处理起来都要方便些.而且我觉得浏览器也是可以发出这样的请求的,之后我会尝试一下. 请求端代码 复制代码 代码如下: import requests #需要安装requests with open('test.txt', 'rb') as f:     re			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmKJnlb.html" rel="bookmark">selenium webdriver &lpar;python&rpar; 第一版PDF</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言       如果你是一位有python语言基础的同学,又想通过python+ selenium去实施自动化,那么你非常幸运的找到了这份文档,我也非常荣幸能为你的自动化学习之路带来一丝帮助. 其实,我在selenium自动化方面也是初学者,虽然在刚开始从事测试工作的就尝试学习selenium自动化工具,购买了面&lt;零成本实现web自动化测试---基于seleinum与Bromine&gt;学了一段时间不得门,当时水平有限,甚至一直都不理解什么自动化测试框架,后来就放弃了自动化的学习. 今年换工作后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NZLaz.html" rel="bookmark">spring mvc上传文件，文件上传到webroot下，不要发布到保存tomcat下，求解决，在线等待</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 上传的文件我要保存在WebRoot/resources/uploadfile里面,我不要发布保存在D:apache-tomcat-7.0.53webapps下,怎么解决,老保存到tomcat下呢?怕文件丢失 解决方案 解决方案二:上传的时候你指定路径啊.解决方案三:问题是指定的路径始终是tomcat下的,我不要在tomcat下的解决方案四: 解决方案五:引用3楼rui888的回复:恩,这是绝对写死的路径,也是一个方法,但不灵活解决方案六:那你就代码写路径.解决方案七:引用5楼rui88			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQ2VOp.html" rel="bookmark">【大牛看看】WebClient uploafile上传文件问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 WebClientwebClient=newWebClient(); 使用WebClientuploafile在客户端向服务器端上传文件,到底WebClient这个类需不需要服务端接受页面啊?比如这样的Uriu=newUri(&quot;http://local.com/uploadfile&quot;); 就直接写入到local.com网站下的uploadfile文件夹下 解决方案 解决方案二:privateTask&lt;HttpResponseMessage&gt;Post(stringr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlXgAp.html" rel="bookmark">Struts2上传文件的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 /****/packagetongji.sse.zxd.service.upload;importjava.io.File;importjavax.servlet.ServletContext;importorg.apache.commons.io.FileUtils;importorg.apache.struts2.util.ServletContextAware;importcom.opensymphony.xwork2.ActionSupport;publicclassStrut			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOmdAvM.html" rel="bookmark">配置了&amp;amp&semi;amp&semi;lt&semi;httpModules&amp;amp&semi;amp&semi;gt&semi;影响了其它需要上传文件的地方&comma; 请大家帮忙</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 大家帮忙,先在此谢谢各位在ASP.NET里实现上传较大文件时同时能实现进度条,但时同一个项目里的其它地方需要上传文件的地方就不能实现上传了,这个问题怎么解决?要怎样才能不影响其它需要上传文件的地方原因是web.config文件里加了下面这些代码,&lt;httpModules&gt;&lt;addname=&quot;UploadModule&quot;type=&quot;OA.Upload.UploadModule,OA.Upload&quot;/&gt;&lt;/httpModules&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3re9Wz.html" rel="bookmark">C&num;Winform程序上传文件到数据库再下载打开时文件损坏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C#Winform程序上传文件到数据库并加密,再下载到本地打开时文件损坏打不开了.上传officeword2003文件没有问题,2007文件会提示[无法打开OfficeOpenXML文件xxx.docx,因为内容有错误.],详细信息是[文件已损坏,无法打开.].实际上office还是能够修复打开的,不过要多点2下鼠标.如果上传压缩文件就打不开了.另外,网上说字段类型应该用IMAGE,我试过了,也不行.我用的是ntext.跟加密也没关系.哪位给解决下//把文件写入数据库FileStrea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOJ0Kqp.html" rel="bookmark">如何解析HTTP POST上传文件请求报文</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 客户端HTTPPOST上传文件报文如下,服务端需要获得文件流,然后写入文件(保持文件原来的格式),这个文件流如何解析获得?有什么好的方法吗?下面是上传一个pdf文件的信息.POST/upload.jspHTTP/1.1Accept:*/*Accept-Language:zh-cnContent-Type:multipart/form-data;boundary=---------------------------7da29f2d890386Host:abc.comContent-Le			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ6GMq.html" rel="bookmark" class="title">hdu 2551 竹青遍野</a>
					<div>
						题目链接:http://acm.hdu.edu.cn/showproblem.php?pid=2551 hint:就是读懂题就行了 #include &lt;iostream&gt; #include ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1vg9p.html" rel="bookmark" class="title">披著羊皮的大野狼 Session</a>
					<div>
						session    寫過稍微大型一點 ASP 的人都知道,Session 這個物件真是好用,它可以用來記錄使用者私有的資料變數,既安全又方便.但是你真的知道 Session 的運作原理嗎?或許了解以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPQ5rz.html" rel="bookmark" class="title">asp程序和php程序转换要注意的问题</a>
					<div>
						程序|问题|转换 前一段时间帮一个朋友把他的asp程序全部转为php程序,虽然听说网上有这样的工具,但是朋友的程序有关电子商务的东西,还是自己动手比较保险.一做下来发现很多地方要注意.1.语法如果你对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLVXGb.html" rel="bookmark" class="title">More Effective C&plus;&plus;：通过引用捕获异常</a>
					<div>
						当你写一个catch子句时,必须确定让异常通过何种方式传递到catch子句里.你可以有三个选择:与你给函数传递参数一样,通过指针(by pointer),通过传值(by value)或通过引用(by  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyK4ab.html" rel="bookmark" class="title">自动维护路径信息的Sql Server无限级目录表</a>
					<div>
						我做的网站基本上都要用到一个无限级的目录表,用来分门别类组织各种文章类的信息.这个表只有三个字段(Id,ParentId,Name),一直就是这样用也没出现过什么问题.直到昨天,碰到了一个问题.我需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1V6Gz.html" rel="bookmark" class="title">固定宽高且DIV绝对居实现思路及示例</a>
					<div>
						DIV绝对居中且固定宽高在某些情况下还是比较实用的,具体的实现思路及样式如下,喜欢的朋友可以参考下,希望对大家有所帮助   看了一些代码,然后自己试验了一番,分享如下示例: 实现点: 如果元素的宽高固 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxW2Ob.html" rel="bookmark" class="title">php校验表单检测字段是否为空的方法</a>
					<div>
						 这篇文章主要介绍了php校验表单检测字段是否为空的方法,涉及php验证表单的技巧,非常具有实用价值,需要的朋友可以参考下     本文实例讲述了php校验表单检测字段是否为空的方法.分享给大家供大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6eAeJb.html" rel="bookmark" class="title">WinXP弹出&OpenCurlyDoubleQuote;是否只查看安全传送的网页内容&rdquo;如何关闭？</a>
					<div>
						  1.打开IE8选择&quot;工具&quot;→&quot;Internet选项&quot;.这些都是HTTPS加密网站. 2.选择&quot;安全&quot;页面,点击&quot;Interne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLPBWb.html" rel="bookmark" class="title">win7另存为对话框中没有桌面怎么办</a>
					<div>
						  很多人认为将文件保存在C.D.E.F盘中很容易记不清楚到底保存在哪里,而且很容易在清理文件夹时将重要的文件误删了.还有可能在寻找文件时,尽管知道在哪个盘里,也需要一段时间找一下.所以对于一些常用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2401Zp.html" rel="bookmark" class="title">打开多个程序窗口的时候蓝屏</a>
					<div>
						  在使用电脑打开多个程序窗口的时候,突然就出现了蓝屏的情况.之前从没有出现过,这是怎么回事呢? 这种情况是由于使用的系统资源已经超出了限制.解决方法是一般不要使系统资源小于60%,超过之后不要再启动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaZn0z.html" rel="bookmark" class="title">mybatis动态insert-mybatis 动态insert 传入表名、字段名、数据</a>
					<div>
						问题描述 mybatis 动态insert 传入表名.字段名.数据 需求: 输入:1000个不同的csv文件,每个csv文件10000条记录: 输出:将这些文件存储到每个csv文件对应的数据库中的表中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WAeAb.html" rel="bookmark" class="title">管理大数据隐私：主动出击战略&lpar;1&rpar;</a>
					<div>
						似乎所有人都在关注大数据,甚至包括美国联邦政府.美国联邦贸易委员会(FTC)去年年底向数据经纪行业的9家公司发出命令,要求他们提供对客户数据收集和使用情况的信息.FTC的行动明确表明,虽然大数据的兴起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lDjKb.html" rel="bookmark" class="title">服务器-jsp文件，在浏览器中打开是空白页，其他jsp文件，可以显示，就这一个不行，是什么问题？</a>
					<div>
						问题描述 jsp文件,在浏览器中打开是空白页,其他jsp文件,可以显示,就这一个不行,是什么问题? jsp文件编写完之后,在浏览器中打开,显示空白页,但是其他jsp文件可以访问数据库,并且可以显示页面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3Jrdz.html" rel="bookmark" class="title">云计算厂商的那些赚钱&OpenCurlyDoubleQuote;套路&rdquo;</a>
					<div>
						今天我们讲讲云厂商的核心利益--如何挣钱. 公开谈这类内容需要脱敏,我提及的推导过程和详细数字都以公网公开报价为准,不会涉及现在和过去工作单位的经营状况;因为只用常识推导不涉及具体技术,也给业内同行留 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVXlmb.html" rel="bookmark" class="title">页面重构-html页面弹出html页面</a>
					<div>
						问题描述 html页面弹出html页面 在html页面点击按钮,然后弹出一个页面,在弹出页面点击提交按钮后,重新回到以前html 页面,并把刚才提交的数据显示出来. 谢谢大神的帮助啊 解决方案 htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkWe2b.html" rel="bookmark" class="title">分享半个月网站变2的全过程操作</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 前言:很多企业站长可能长期困惑的问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r25dp.html" rel="bookmark" class="title">strlen-跪求大神，我是小新手啊</a>
					<div>
						问题描述 跪求大神,我是小新手啊 #include #include using namespace std;int main(){char str1; cout&lt;&lt;&quot;&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvml5Ab.html" rel="bookmark" class="title">Ruby 2&period;1 已结束支持，不再释放更新补丁和修复</a>
					<div>
						Ruby 2.1.10 于去年3月底发布,此后 Ruby 2.1 系列的支持一直处于安全维护阶段.现在,一年过去了,这个阶段已经结束.自2017年3月31日起,Ruby 2.1 系列的所有支持都已结束 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rdgNz.html" rel="bookmark" class="title">在SQL Server和Oracle中创建job&lowbar;数据库其它</a>
					<div>
						首先说下ms server,因为我也是新手,所以首先选择了使用企业管理器进行任务设定,然后再导出设计完毕的任务脚本,这样就可以在其他数据库中直接通过执行脚本的形式来新建任务了(需要适当修改其中的一些任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe6xvb.html" rel="bookmark" class="title">Access数据库成功导入Oracle库方法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 这几天在做一个网站项目时需要把Ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0xYQM.html" rel="bookmark" class="title">谁能为我解答下构造函数传值的问题，谢谢大家啦</a>
					<div>
						问题描述 谁能为我解答下构造函数传值的问题,谢谢大家啦 我的基础很差,一直不知道构造函数怎样传值.例如有一个窗体A,一个button按钮在上面,窗体里面有个数据a,一个窗体B,点击按钮,会显示窗体B, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod6yVM.html" rel="bookmark" class="title">如何达到云与内部数据关系平衡</a>
					<div>
						数据存在价值已经不用过多的说明了,尤其是过去的十年里更是让我们看到了数据承载着多么大的价值.因此数据的存储与管理也成为了企业关注的重点.但数据存储的同时也需要有适当的保护,并提供合理的访问权限.在这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyewnEM.html" rel="bookmark" class="title">双十二匆匆来袭&comma;致力攻克中国大妈</a>
					<div>
						&quot;双十一&quot;的热潮刚刚消退,&quot;双12&quot;又匆匆来袭,似乎一夜之间,支付宝就攻陷了线下门店的忠实拥趸.网购革命中的&quot;保皇派&quot;,享誉全球的--中国大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR7Pjp.html" rel="bookmark" class="title">关系数据库如何快速查询表的记录数</a>
					<div>
						    在数据库中,很多人员习惯使用SELECT COUNT(*).SELECT COUNT(1).SELECT COUNT(COL)来查询一个表有多少记录,对于小表,这种SQL的开销倒不是很大,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBGe4z.html" rel="bookmark" class="title">Codeforces 407 A&period; Triangle  【Codeforces Round &num;239 &lpar;Div&period; 1&rpar;】</a>
					<div>
						点击打开链接 A. Triangle time limit per test 1 second memory limit per test 256 megabytes input standard i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRPNrp.html" rel="bookmark" class="title">必须弹出提示才能加载到数据？？？</a>
					<div>
						问题描述 请教个问题,异步加载的时候加载不了数据,如果改成先弹出一个提示,再加载的话,数据正常显示,只要去掉这个弹的提示,数据就加载不出来了,有人遇到过这样的问题吗? 解决方案 解决方案二:你可以在加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwDxAM.html" rel="bookmark" class="title">Spring4&period;0系列8-Groovy DSL</a>
					<div>
						4.0的一个重要特征就是完全支持Groovy,Groovy是spring主导的一门基于JVM的脚本语言(动态语言).在spring 2.x,脚本语言通过 Java scripting engine在S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6d2mM.html" rel="bookmark" class="title">PS3体感手柄MOVE销量强势30天超过100万份</a>
					<div>
						(编译/Drdarknight)据海外媒体消息,索尼针对其最新主机PS3所开发的体感手柄MOVE从上市至今已有一个月的时间了.那么它的市场表现如何呢?让我们先听听索尼自己人是怎么说的吧. SCEA(北 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QKlRp.html" rel="bookmark" class="title">asp&period;net使用form身份认证&OpenCurlyDoubleQuote;串号问题&rdquo; ？</a>
					<div>
						问题描述 我在使用form身份认证时遇到个问题,A用户登录后没问题,但是B用户登录登录成功后只要一刷新就变成了A用户,且有A用户所有权限.连着测试了好几个用户C.D.E用户都有这种情况,只要一刷新就变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7nOAM.html" rel="bookmark" class="title">广州药业狂犬疫苗生产已恢复正常</a>
					<div>
						6月28日,广州药业(600332)召开2009年年度股东大会,公司董事长杨荣明表示,经过一年多的调整和努力,企业的生产经营状况得以改善,报告期内下属公司奇星药业.诺城生物扭亏为盈,广州星群.广州拜迪 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
